petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectQueryFunction

Gets a function associated with a given object.

### Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscObjectQueryFunction(PetscObject obj,const char name[],void (**fptr)(void))

Logically Collective on PetscObject Many br

### Input Parameters

| obj | - the PETSc object; this must be cast with (PetscObject), for example, Many brPetscObjectQueryFunction((PetscObject)ksp,...); Many br
| name | - name associated with the child function Many br

### Output Parameter

fptr -function pointer Many br

Many br

### See Also

PetscObjectComposeFunction(), PetscFunctionListFind()

Level:advanced
Location:src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex8.c.html